Loading...
Searching...
No Matches
overlay.h File Reference

Graphics overlay events. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | BD_PG_PALETTE_ENTRY
| Overlay palette entry. More...
struct | BD_PG_RLE_ELEM
| RLE element. More...
struct | BD_OVERLAY
| YUV overlay event. More...
struct | BD_ARGB_OVERLAY
| ARGB overlay event. More...
struct | BD_ARGB_BUFFER
| Application-allocated frame buffer for ARGB overlays. More...

## Macros

#define | BD_PUBLIC
#define | BD_OVERLAY_INTERFACE_VERSION 2
| Version number of the interface described in this file.

## Enumerations

enum | bd_overlay_plane_e { BD_OVERLAY_PG = 0 , BD_OVERLAY_IG = 1 }
| Overlay plane. More...
enum | bd_overlay_cmd_e { BD_OVERLAY_INIT = 0 , BD_OVERLAY_CLOSE = 1 , BD_OVERLAY_CLEAR = 2 , BD_OVERLAY_DRAW = 3 , BD_OVERLAY_WIPE = 4 , BD_OVERLAY_HIDE = 5 , BD_OVERLAY_FLUSH = 6 }
| YUV overlay event type. More...
enum | bd_argb_overlay_cmd_e { BD_ARGB_OVERLAY_INIT = 0 , BD_ARGB_OVERLAY_CLOSE = 1 , BD_ARGB_OVERLAY_DRAW = 3 , BD_ARGB_OVERLAY_FLUSH = 6 }
| ARGB overlay event type. More...

## Functions

BD_PUBLIC const void * | bd_refcnt_inc (const void *)
| Hold reference-counted object.
BD_PUBLIC void | bd_refcnt_dec (const void *)
| Release reference-counted object.

## Detailed Description

Graphics overlay events.

## Enumeration Type Documentation

## bd_argb_overlay_cmd_e

enum bd_argb_overlay_cmd_e

ARGB overlay event type.

Enumerator
BD_ARGB_OVERLAY_INIT | Initialize overlay plane. Size and position of plane are in x,y,w,h
BD_ARGB_OVERLAY_CLOSE | Close overlay plane.
BD_ARGB_OVERLAY_DRAW | Draw ARGB image on plane.
BD_ARGB_OVERLAY_FLUSH | All changes have been done, flush overlay to display at given pts.

## bd_overlay_cmd_e

enum bd_overlay_cmd_e

YUV overlay event type.

Enumerator
BD_OVERLAY_INIT | Initialize overlay plane. Size and position of plane in x,y,w,h.
BD_OVERLAY_CLOSE | Close overlay plane.
BD_OVERLAY_CLEAR | Clear overlay plane.
BD_OVERLAY_DRAW | Draw bitmap. Size and position within plane (x, y, w, h) and image (img, palette).
BD_OVERLAY_WIPE | Clear area. Size and position within plane (x, y, w, h).
BD_OVERLAY_HIDE | Overlay is empty and can be hidden.
BD_OVERLAY_FLUSH | All changes have been done, flush overlay to display at given pts.

## bd_overlay_plane_e

enum bd_overlay_plane_e

Overlay plane.

Enumerator
BD_OVERLAY_PG | Presentation Graphics plane.
BD_OVERLAY_IG | Interactive Graphics plane (on top of PG plane).

## Function Documentation

## bd_refcnt_inc()

BD_PUBLIC const void * bd_refcnt_inc | ( | const void * |  | ) |

Hold reference-counted object.

Return object or NULL on invalid object.